Connection error when using German umlaut in search string

2015-03-02 12:06 PM - Tobias Preuss

Status: Closed

Priority: Normal

Assignee:

Category: MetaSearch Catalogue Client

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 20477

Description

I am trying to search within this catalog.

When I include German umlaut such as ä or ü in the search string the following error message pops up:

Connection error: 'ascii' codec can't encode character u'\\xe4 in position 723: ordinal not in range(128)

I use QGIS 2.8.1. with MetaSearch 0.3.3.

History

#1 - 2015-03-06 04:26 AM - Tom Kralidis

I can't reproduce this at all with the same QGIS and MetaSearch versions (on Windows).  I'll keep testing, perhaps if others can try on other OSs?

#2 - 2015-03-08 01:29 AM - Tobias Preuss

I use Ubuntu 14.04.

#3 - 2015-08-21 04:53 AM - Tom Kralidis

- Crashes QGIS or corrupts data set to No

- Project changed from 218 to QGIS Application

#4 - 2015-08-21 04:54 AM - Tom Kralidis

- Affected QGIS version set to master

- Category set to MetaSearch Catalogue Client

#5 - 2016-03-31 06:18 AM - Tom Kralidis

- Status changed from Open to Closed

- Resolution set to not reproducable

#6 - 2016-04-01 04:10 AM - Tobias Preuss

- Status changed from Closed to Reopened

I just tested with MetaSearch 0.3.4 and QGIS 2.14.1 on 15.10. The error remains.

Here is the GetCapabilities for the CSW I use:
http://fbinter.stadt-berlin.de/fb/csw/?REQUEST=GetCapabilities&#38;SERVICE=CSW&#38;VERSION=2.0.2
https://en.wikipedia.org/wiki/Germanic_umlaut


http://fbinter.stadt-berlin.de/fb/csw/?REQUEST=GetCapabilities&#38;SERVICE=CSW&#38;VERSION=2.0.2

#7 - 2016-07-11 06:15 AM - Tom Kralidis

Hi Tobias: I still cannot reproduce.  Can you provide some test keywords you are using?

#8 - 2017-03-05 05:03 AM - Tom Kralidis

- Status changed from Reopened to Closed
